package com.zcloud.modules.kangzai.dao;

import com.zcloud.modules.kangzai.entity.BusEmergencyStorageEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * @Author fangjiakai
 * @Desc 应急储备库信息表(BusEmergencyStorage)表数据库访问层
 * @Date 2025-06-09 10:14:59
 */
@Mapper
public interface BusEmergencyStorageDao extends BaseMapper<BusEmergencyStorageEntity> {

    /**
     * 分页查询
     */
    IPage<BusEmergencyStorageEntity> listPage(@Param("page") Page<Map<String, Object>> page, @Param("params") Map<String, Object> params);
}
