package com.zcloud.modules.kangzai.dao;

import com.zcloud.modules.kangzai.entity.BusGeologicalDisasterEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * @Author fangjiakai
 * @Desc 地质灾害点信息详情表(BusGeologicalDisaster)表数据库访问层
 * @Date 2025-06-09 10:14:59
 */
@Mapper
public interface BusGeologicalDisasterDao extends BaseMapper<BusGeologicalDisasterEntity> {

    /**
     * 分页查询
     */
    IPage<BusGeologicalDisasterEntity> listPage(@Param("page") Page<Map<String, Object>> page, @Param("params") Map<String, Object> params);
}
