package com.zcloud.modules.kangzai.dao;

import com.zcloud.modules.kangzai.entity.BusTailingsReservoirEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
 import java.util.Map;
/**
 * @Author fangjiakai
 * @Desc (BusTailingsReservoir)表数据库访问层
 * @Date 2025-06-10 18:47:48
 */
@Mapper
public interface BusTailingsReservoirDao extends BaseMapper<BusTailingsReservoirEntity> {

    /**
     * 分页查询
     */
    IPage<BusTailingsReservoirEntity> listPage(@Param("page") Page<Map<String,Object>> page,@Param("params") Map<String, Object> params);
}
