package com.zcloud.modules.kangzai.service;

import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.kangzai.entity.BusTailingsReservoirEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;
import java.util.Map;

/**
 * @Author fangjiakai
 * @Desc (BusTailingsReservoir)表服务接口
 * @Date 2025-06-10 18:47:47
 */
public interface BusTailingsReservoirService extends IService<BusTailingsReservoirEntity> {

    BusTailingsReservoirEntity queryByFlexibleParams(String paramName, Object paramValue);

	List<BusTailingsReservoirEntity> queryListByFlexibleParams(String paramName, Object paramValue);
    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    /**
     * 通过主键删除数据
     */
    void delete(String tailingsReservoirId,String userId);

}
