package com.zcloud.modules.kangzai.service;

import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.kangzai.entity.BusUrbanFloodPointEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;
import java.util.Map;

/**
 * @Author fangjiakai
 * @Desc 城市防涝点详情表(BusUrbanFloodPoint)表服务接口
 * @Date 2025-06-09 10:15:00
 */
public interface BusUrbanFloodPointService extends IService<BusUrbanFloodPointEntity> {

    BusUrbanFloodPointEntity queryByFlexibleParams(String paramName, Object paramValue);

    List<BusUrbanFloodPointEntity> queryListByFlexibleParams(String paramName, Object paramValue);

    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    /**
     * 通过主键删除数据
     */
    void delete(String urbanFloodPointId, String userId);

}
