package com.zcloud.modules.kangzai.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author fangjiakai
 * @Desc 河流覆盖物(BusRiverStructures)实体
 * @Date 2025-06-10 16:25:26
 */
@Data
@TableName("bus_river_structures")
public class BusRiverStructuresEntity implements Serializable {
    private static final long serialVersionUID = -10738882871003698L;
    private String riverStructuresId;
    //河流
    @ApiModelProperty(value = "河流")
    private String riverId;
    //名称
    @ApiModelProperty(value = "名称")
    private String name;
    //1桥2岛
    @ApiModelProperty(value = "1桥2岛")
    private Integer type;

}

