package com.zcloud.modules.kangzai.service;

import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.kangzai.entity.BusEmergencyStorageEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;
import java.util.Map;

/**
 * @Author fangjiakai
 * @Desc 应急储备库信息表(BusEmergencyStorage)表服务接口
 * @Date 2025-06-09 10:14:58
 */
public interface BusEmergencyStorageService extends IService<BusEmergencyStorageEntity> {

    BusEmergencyStorageEntity queryByFlexibleParams(String paramName, Object paramValue);

    List<BusEmergencyStorageEntity> queryListByFlexibleParams(String paramName, Object paramValue);

    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    /**
     * 通过主键删除数据
     */
    void delete(String emergencyStorageId, String userId);

}
