package com.zcloud.modules.kangzai.service;

import com.zcloud.common.utils.PageUtils;
import com.zcloud.modules.kangzai.entity.BusRiverSectionsEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;
import java.util.Map;

/**
 * @Author fangjiakai
 * @Desc 河流县区段信息表(BusRiverSections)表服务接口
 * @Date 2025-06-09 09:44:25
 */
public interface BusRiverSectionsService extends IService<BusRiverSectionsEntity> {

    BusRiverSectionsEntity queryByFlexibleParams(String paramName, Object paramValue);

    List<BusRiverSectionsEntity> queryListByFlexibleParams(String paramName, Object paramValue);

    /**
     * 分页查询
     */
    PageUtils listPage(Map<String, Object> params);

    /**
     * 通过主键删除数据
     */
    void delete(String riverSectionsId, String userId);

}
